> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Lakehouse Product

> Update a lakehouse product. Requires: lakehouse:write permission.



## OpenAPI

````yaml /openapi/merchantops-public.json put /api/lakehouse/products/{key}
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/lakehouse/products/{key}:
    put:
      tags:
        - Product Lakehouse
      summary: Update Lakehouse Product
      description: 'Update a lakehouse product. Requires: lakehouse:write permission.'
      operationId: update_lakehouse_product
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              title: Updates
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LakehouseProductResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    LakehouseProductResponse:
      description: Response model for a lakehouse product.
      properties:
        attributes:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Attributes
          type: array
        brand:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Brand
        createdAt:
          title: Createdat
          type: string
        createdBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdby
        description:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Description
        duplicate_of:
          anyOf:
            - type: string
            - type: 'null'
          title: Duplicate Of
        extracted_at:
          title: Extracted At
          type: string
        extracted_by_worker:
          title: Extracted By Worker
          type: string
        extraction_confidence:
          title: Extraction Confidence
          type: number
        features:
          anyOf:
            - items:
                additionalProperties:
                  type: string
                type: object
              type: array
            - type: 'null'
          title: Features
        images:
          default: []
          items:
            type: string
          title: Images
          type: array
        is_duplicate:
          title: Is Duplicate
          type: boolean
        key:
          title: Key
          type: string
        lastModifiedAt:
          title: Lastmodifiedat
          type: string
        lastModifiedBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastmodifiedby
        name:
          additionalProperties:
            type: string
          title: Name
          type: object
        needs_review:
          title: Needs Review
          type: boolean
        organization_id:
          title: Organization Id
          type: string
        productType:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Producttype
        product_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Key
        promoted_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Promoted At
        promoted_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Promoted By
        promoted_to_product:
          title: Promoted To Product
          type: boolean
        source:
          title: Source
          type: string
        source_document_id:
          title: Source Document Id
          type: string
        source_document_type:
          title: Source Document Type
          type: string
        source_document_url:
          title: Source Document Url
          type: string
        source_page_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Page Number
        vendorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendorid
      required:
        - key
        - source
        - organization_id
        - name
        - source_document_id
        - source_document_url
        - source_document_type
        - extraction_confidence
        - needs_review
        - extracted_at
        - extracted_by_worker
        - promoted_to_product
        - is_duplicate
        - createdAt
        - lastModifiedAt
      title: LakehouseProductResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````